using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lambda03
{
    public class Program
    {
        public static void Main(string[] args)
        {
            List<string> customers = new List<string>();
            customers.Add("Shinja");
            customers.Add("Aaron");
            customers.Add("Angela");
            customers.Add("Dirk");

            string result = customers.Find(customer => customer.Equals("Angela"));
            List<string> results = customers.FindAll(c => c.Length > 5);

            Console.WriteLine("Ergebnis: {0}", result);

            foreach (string item in results)
            {
                Console.WriteLine("Ergebnis: {0}", item);
            }

            Console.ReadLine();
        }
    }
}
